<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<!-- <title>01000_TEE_GetPropertyName</title> -->
<img align="right" width="300" src="TrustonicLogo.jpg">
</br>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="$relpath/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="$relpath/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('group_____t_e_e___get_property_name.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">01000_TEE_GetPropertyName<div class="ingroups"><a class="el" href="group___g_p__010___properties.html">GP_010_Properties</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga924dda7920d12dabee687d35db0fd3f7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_e_e___get_property_name.html#ga924dda7920d12dabee687d35db0fd3f7">TestCase_GC001_Start3Enumerators</a> ()</td></tr>
<tr class="separator:ga924dda7920d12dabee687d35db0fd3f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2a5c13581458974845ab3bd9eabb3830"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_e_e___get_property_name.html#ga2a5c13581458974845ab3bd9eabb3830">TestCase_GC002_ItemNotFound</a> ()</td></tr>
<tr class="separator:ga2a5c13581458974845ab3bd9eabb3830"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga14c930f797a2aeec8227f34b4f0d0de5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_e_e___get_property_name.html#ga14c930f797a2aeec8227f34b4f0d0de5">TestCase_BC003_enumeratorNull</a> ()</td></tr>
<tr class="separator:ga14c930f797a2aeec8227f34b4f0d0de5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga920ff80c7b0ce83fd4a2741f17f2f440"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group_____t_e_e___get_property_name.html#ga920ff80c7b0ce83fd4a2741f17f2f440">TestCase_BC004_bufferNull</a> ()</td></tr>
<tr class="separator:ga920ff80c7b0ce83fd4a2741f17f2f440"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<dl class="section user"><dt>Description:</dt><dd>: Resets a property enumerator. <pre class="fragment">           TEE_Result TEE_GetPropertyName(
                           TEE_PropSetHandle enumerator,
               [outstring] void* nameBuffer, size_t* nameBufferLen );

           For this test, we will need at least one TA.

           Pre:
           Open a session to a GPTA.

           Post:
           Close session and check that it succeeds.</pre></dd></dl>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga924dda7920d12dabee687d35db0fd3f7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC001_Start3Enumerators </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Test the functionality of TEE_GetPropertyName(). </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Call TEE_AllocatePropertyEnumerator to get a new enumerator for TEE_PROPSET_CURRENT_TA Call TEE_AllocatePropertyEnumerator to get a new enumerator for TEE_PROPSET_CURRENT_CLIENT Call TEE_AllocatePropertyEnumerator to get a new enumerator for TEE_PROPSET_TEE_IMPLEMENTATION For each of the 3 enumerators:<ul>
<li>Call TEE_GetPropertyName() with length 0, and buffer=NULL which should return TEE_ERROR_SHORT_BUFFER and the length needed for the name</li>
<li>allocate a buffer using the length from the previous call</li>
<li>call TEE_GetPropertyName() with the newly-allocated buffer Compare each of the three names that were retrieved to verify that they are all different Call TEE_FreePropertyEnumerator() on each of the previously-allocated enumerators</li>
</ul>
</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Minimum Product Version required for this testcase:</dt><dd>400A</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>GP_010_Properties.01000_TEE_GetPropertyName.GC001_Start3Enumerators </dd></dl>

</div>
</div>
<a class="anchor" id="ga2a5c13581458974845ab3bd9eabb3830"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_GC002_ItemNotFound </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Test the functionality of TEE_GetPropertyName(). </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Call TEE_AllocatePropertyEnumerator to get a new enumerator for TEE_PROPSET_CURRENT_TA Call TEE_StartPropertyEnumerator() Call TEE_GetNextProperty() until it returns TEE_ERROR_ITEM_NOT_FOUND Allocate a large name buffer Call TEE_GetPropertyName() and verify that it returns TEE_ERROR_ITEM_NOT_FOUND and that it does not modify the length or name buffer Call TEE_FreePropertyEnumerator()</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Minimum Product Version required for this testcase:</dt><dd>400A</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>GP_010_Properties.01000_TEE_GetPropertyName.GC002_ItemNotFound </dd></dl>

</div>
</div>
<a class="anchor" id="ga14c930f797a2aeec8227f34b4f0d0de5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC003_enumeratorNull </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Attempt to get the property name for a NULL enumerator. </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Call TEE_ResetPropertyEnumerator() with NULL enumerator, which should cause a TA panic</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Minimum Product Version required for this testcase:</dt><dd>400A</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>GP_010_Properties.01000_TEE_GetPropertyName.BC003_enumeratorNull </dd></dl>

</div>
</div>
<a class="anchor" id="ga920ff80c7b0ce83fd4a2741f17f2f440"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">TestCase_BC004_bufferNull </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section user"><dt>Trusted Applications dependencies:</dt><dd>none </dd></dl>
<dl class="section user"><dt>Focus:</dt><dd>Attempt to get the property name using a null name buffer </dd></dl>
<dl class="section user"><dt>Test Steps:</dt><dd>Call TEE_AllocatePropertyEnumerator to get a new enumerator for TEE_PROPSET_CURRENT_TA Call TEE_StartPropertyEnumerator() Call TEE_GetPropertyName() with null as the buffer pointer and a large length, which should cause a TA panic</dd></dl>
<dl class="section user"><dt>Manual Execution:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Trustonic Test Suite Testcase:</dt><dd><a href="group___tts.html">Yes</a></dd></dl>
<dl class="section user"><dt>Final Device Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Extensive Testcase:</dt><dd><a href="group___extensive.html">Yes</a></dd></dl>
<dl class="section user"><dt>Basic Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Quick Testcase:</dt><dd>No</dd></dl>
<dl class="section user"><dt>Minimum Product Version required for this testcase:</dt><dd>400A</dd></dl>
<dl class="section user"><dt>Test ID:</dt><dd>GP_010_Properties.01000_TEE_GetPropertyName.BC004_bufferNull </dd></dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
        <br><br>
        <hr>
        <small><em>Copyright (c) 2013-2015 TRUSTONIC LIMITED - TRUSTONIC CONFIDENTIAL</em></small>
    </body>
</html>
